with GNATCOM.Dispinterface;

package MSHTML.IHTMLAnchorElement_Interface is

   type IHTMLAnchorElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLAnchorElement_Type);

   function Pointer (This : IHTMLAnchorElement_Type)
     return Pointer_To_IHTMLAnchorElement;

   procedure Attach (This    : in out IHTMLAnchorElement_Type;
                     Pointer : in     Pointer_To_IHTMLAnchorElement);

   procedure Put_href
     (This : IHTMLAnchorElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_href
     (This : IHTMLAnchorElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_target
     (This : IHTMLAnchorElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_target
     (This : IHTMLAnchorElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_rel
     (This : IHTMLAnchorElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_rel
     (This : IHTMLAnchorElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_rev
     (This : IHTMLAnchorElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_rev
     (This : IHTMLAnchorElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_urn
     (This : IHTMLAnchorElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_urn
     (This : IHTMLAnchorElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_Methods
     (This : IHTMLAnchorElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_Methods
     (This : IHTMLAnchorElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_name
     (This : IHTMLAnchorElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_name
     (This : IHTMLAnchorElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_host
     (This : IHTMLAnchorElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_host
     (This : IHTMLAnchorElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_hostname
     (This : IHTMLAnchorElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_hostname
     (This : IHTMLAnchorElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_pathname
     (This : IHTMLAnchorElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_pathname
     (This : IHTMLAnchorElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_port
     (This : IHTMLAnchorElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_port
     (This : IHTMLAnchorElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_protocol
     (This : IHTMLAnchorElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_protocol
     (This : IHTMLAnchorElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_search
     (This : IHTMLAnchorElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_search
     (This : IHTMLAnchorElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_hash
     (This : IHTMLAnchorElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_hash
     (This : IHTMLAnchorElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_onblur
     (This : IHTMLAnchorElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onblur
     (This : IHTMLAnchorElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onfocus
     (This : IHTMLAnchorElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onfocus
     (This : IHTMLAnchorElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_accessKey
     (This : IHTMLAnchorElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_accessKey
     (This : IHTMLAnchorElement_Type)
     return GNATCOM.Types.BSTR;

   function Get_protocolLong
     (This : IHTMLAnchorElement_Type)
     return GNATCOM.Types.BSTR;

   function Get_mimeType
     (This : IHTMLAnchorElement_Type)
     return GNATCOM.Types.BSTR;

   function Get_nameProp
     (This : IHTMLAnchorElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_tabIndex
     (This : IHTMLAnchorElement_Type;
      p    : Interfaces.C.short);

   function Get_tabIndex
     (This : IHTMLAnchorElement_Type)
     return Interfaces.C.short;

   procedure focus
     (This : IHTMLAnchorElement_Type);

   procedure blur
     (This : IHTMLAnchorElement_Type);

end MSHTML.IHTMLAnchorElement_Interface;

